{
    onResidualOrder: 5,
    onResidualSubOrder: 3,
    onResidual(pokemon) {
        if (pokemon.status && ["raindance", "primordialsea"].includes(pokemon.effectiveWeather())) {
            this.debug("hydration");
            this.add("-activate", pokemon, "ability: Hydration");
            pokemon.cureStatus();
        }
    },
    onDamage(damage, target, source, effect) {
        if (effect.effectType !== "Move" && this.field.isWeather(["raindance", "primordialsea"])) {
            if (effect.effectType === "Ability" && this.field.isWeather(["raindance", "primordialsea"]))
                this.add("-activate", source, "ability: " + effect.name);
            return false;
        }
    },
    flags: {},
    name: "Hydration",
    rating: 1.5,
    num: 93
}
